cURL
curl --request GET \ --url https://api.sandbox.zafapay.com/v1/customers/{customer_id}/payment-methods \ --header 'Authorization: Bearer <token>'
{ "customer_id": "cust_abc123", "payment_methods": [ { "id": "pmi_abc123", "type": "card", "card": { "brand": "visa", "last4": "4242", "exp_month": 12, "exp_year": 2028, "cardholder_name": "John Doe", "country": "US", "funding": "credit" }, "is_default": true, "status": "active", "created_at": "2024-01-15T10:30:00.000Z" } ] }
List saved payment methods for a customer
Documentation IndexFetch the complete documentation index at: https://docs.zafapay.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.zafapay.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication using access token
Customer ID
"cust_abc123"
Success
List of saved payment methods
Show child attributes